# std::move_iterator<Iter>::operator[]

From cppreference.com
< cpp‎ | iterator‎ | move iterator

/*unspecified*/ operator[]( difference_type n ) const; |  | (since C++11) (until C++17)
constexpr /*unspecified*/ operator[]( difference_type n ) const; |  | (since C++17)

Returns a reference to the element at specified relative location.

### Parameters

n | - | position relative to current location.

### Return value

An rvalue reference to the element at relative location, that is, std::move(base()[n]).

### Examples

| This section is incomplete Reason: no example

### See also

operator*operator-> (deprecated in C++20) | accesses the pointed-to element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_iterator/operator_at&oldid=50883"